From 26f68149bbd643d5e4319c4d072a60fc6625125e Mon Sep 17 00:00:00 2001
From: Peter Geoghegan <pg@bowt.ie>
Date: Sat, 3 Sep 2022 16:48:24 -0700
Subject: [PATCH v3 6/6] Harmonize parameter names in miscellaneous code.

---
 src/include/access/genam.h                    |  9 ++-
 src/include/access/generic_xlog.h             |  2 +-
 src/include/access/gin_private.h              | 10 +--
 src/include/access/gist_private.h             | 18 ++---
 src/include/access/reloptions.h               | 12 +--
 src/include/access/tupconvert.h               |  2 +-
 src/include/access/tupdesc.h                  |  2 +-
 src/include/access/twophase.h                 |  2 +-
 src/include/access/xact.h                     |  8 +-
 src/include/access/xlog.h                     |  8 +-
 src/include/access/xloginsert.h               |  8 +-
 src/include/access/xlogreader.h               |  2 +-
 src/include/access/xlogrecovery.h             |  4 +-
 src/include/access/xlogutils.h                |  4 +-
 src/include/bootstrap/bootstrap.h             |  4 +-
 src/include/catalog/dependency.h              |  6 +-
 src/include/catalog/index.h                   |  4 +-
 src/include/catalog/namespace.h               |  2 +-
 src/include/catalog/objectaccess.h            | 12 +--
 src/include/catalog/objectaddress.h           |  4 +-
 src/include/catalog/pg_conversion.h           |  2 +-
 src/include/catalog/pg_inherits.h             |  5 +-
 src/include/catalog/pg_publication.h          |  2 +-
 src/include/commands/alter.h                  |  2 +-
 src/include/commands/conversioncmds.h         |  2 +-
 src/include/commands/copy.h                   |  6 +-
 src/include/commands/dbcommands_xlog.h        |  4 +-
 src/include/commands/matview.h                |  2 +-
 src/include/commands/policy.h                 |  2 +-
 src/include/commands/publicationcmds.h        |  2 +-
 src/include/commands/schemacmds.h             |  4 +-
 src/include/commands/seclabel.h               |  2 +-
 src/include/commands/sequence.h               |  8 +-
 src/include/commands/tablecmds.h              |  2 +-
 src/include/commands/tablespace.h             |  4 +-
 src/include/commands/trigger.h                | 14 ++--
 src/include/commands/typecmds.h               |  2 +-
 src/include/common/fe_memutils.h              |  4 +-
 src/include/common/kwlookup.h                 |  2 +-
 src/include/common/scram-common.h             |  2 +-
 src/include/executor/execParallel.h           |  4 +-
 src/include/executor/executor.h               |  6 +-
 src/include/executor/nodeIncrementalSort.h    |  2 +-
 src/include/executor/spi.h                    |  2 +-
 src/include/fe_utils/cancel.h                 |  2 +-
 src/include/fe_utils/mbprint.h                |  3 +-
 src/include/fe_utils/parallel_slot.h          |  2 +-
 src/include/fe_utils/recovery_gen.h           |  2 +-
 src/include/fe_utils/simple_list.h            |  2 +-
 src/include/fe_utils/string_utils.h           |  2 +-
 src/include/foreign/foreign.h                 |  5 +-
 src/include/funcapi.h                         |  2 +-
 src/include/libpq/pqmq.h                      |  2 +-
 src/include/mb/pg_wchar.h                     |  6 +-
 src/include/miscadmin.h                       |  2 +-
 src/include/nodes/extensible.h                |  4 +-
 src/include/nodes/nodes.h                     |  2 +-
 src/include/nodes/params.h                    |  4 +-
 src/include/nodes/pg_list.h                   |  4 +-
 src/include/nodes/value.h                     |  2 +-
 src/include/optimizer/appendinfo.h            |  2 +-
 src/include/optimizer/clauses.h               |  4 +-
 src/include/optimizer/cost.h                  |  2 +-
 src/include/optimizer/paths.h                 |  4 +-
 src/include/optimizer/planmain.h              |  2 +-
 src/include/optimizer/prep.h                  |  2 +-
 src/include/parser/analyze.h                  |  2 +-
 src/include/parser/parse_agg.h                |  2 +-
 src/include/parser/parse_oper.h               |  4 +-
 src/include/parser/parse_relation.h           |  2 +-
 src/include/partitioning/partbounds.h         |  4 +-
 src/include/pgstat.h                          | 10 +--
 src/include/pgtime.h                          |  4 +-
 src/include/port.h                            |  8 +-
 src/include/postmaster/bgworker.h             |  2 +-
 src/include/postmaster/syslogger.h            |  2 +-
 src/include/replication/logical.h             |  2 +-
 src/include/replication/logicalproto.h        |  6 +-
 src/include/replication/origin.h              |  4 +-
 src/include/replication/slot.h                |  2 +-
 src/include/replication/walsender.h           |  2 +-
 src/include/rewrite/rewriteManip.h            |  2 +-
 src/include/snowball/libstemmer/header.h      |  2 +-
 .../statistics/extended_stats_internal.h      |  2 +-
 src/include/statistics/statistics.h           |  4 +-
 src/include/storage/barrier.h                 |  2 +-
 src/include/storage/bufpage.h                 |  4 +-
 src/include/storage/dsm.h                     |  4 +-
 src/include/storage/fd.h                      | 14 ++--
 src/include/storage/fsm_internals.h           |  2 +-
 src/include/storage/indexfsm.h                |  4 +-
 src/include/storage/lwlock.h                  |  2 +-
 src/include/storage/predicate.h               |  2 +-
 src/include/storage/procarray.h               |  2 +-
 src/include/storage/standby.h                 |  2 +-
 src/include/tcop/cmdtag.h                     |  2 +-
 src/include/tsearch/ts_utils.h                |  4 +-
 src/include/utils/acl.h                       |  6 +-
 src/include/utils/attoptcache.h               |  2 +-
 src/include/utils/builtins.h                  |  8 +-
 src/include/utils/datetime.h                  |  2 +-
 src/include/utils/multirangetypes.h           |  6 +-
 src/include/utils/numeric.h                   |  2 +-
 src/include/utils/pgstat_internal.h           |  4 +-
 src/include/utils/rangetypes.h                |  4 +-
 src/include/utils/regproc.h                   |  2 +-
 src/include/utils/relcache.h                  |  2 +-
 src/include/utils/relmapper.h                 |  2 +-
 src/include/utils/selfuncs.h                  |  4 +-
 src/include/utils/snapmgr.h                   |  2 +-
 src/include/utils/timestamp.h                 |  4 +-
 src/include/utils/tuplesort.h                 |  2 +-
 src/include/utils/xml.h                       |  2 +-
 src/backend/access/brin/brin_minmax_multi.c   |  3 +-
 src/backend/access/common/reloptions.c        | 12 +--
 src/backend/access/gist/gistbuild.c           |  5 +-
 src/backend/access/gist/gistbuildbuffers.c    |  4 +-
 src/backend/access/gist/gistvacuum.c          |  2 +-
 src/backend/access/transam/generic_xlog.c     |  2 +-
 src/backend/access/transam/xact.c             |  2 +-
 src/backend/access/transam/xlog.c             |  2 +-
 src/backend/access/transam/xloginsert.c       | 18 ++---
 src/backend/access/transam/xlogreader.c       |  2 +-
 src/backend/backup/basebackup.c               |  2 +-
 src/backend/bootstrap/bootstrap.c             | 10 +--
 src/backend/catalog/aclchk.c                  | 22 +++---
 src/backend/catalog/namespace.c               | 12 +--
 src/backend/commands/dbcommands.c             |  8 +-
 src/backend/commands/event_trigger.c          |  2 +-
 src/backend/commands/explain.c                |  2 +-
 src/backend/commands/indexcmds.c              |  2 +-
 src/backend/commands/lockcmds.c               |  2 +-
 src/backend/commands/opclasscmds.c            |  2 +-
 src/backend/commands/schemacmds.c             |  6 +-
 src/backend/commands/tablecmds.c              |  6 +-
 src/backend/commands/trigger.c                |  8 +-
 src/backend/executor/execIndexing.c           |  2 +-
 src/backend/executor/execParallel.c           |  4 +-
 src/backend/executor/nodeAgg.c                | 11 ++-
 src/backend/executor/nodeHash.c               |  6 +-
 src/backend/executor/nodeHashjoin.c           |  6 +-
 src/backend/executor/nodeMemoize.c            |  4 +-
 src/backend/lib/bloomfilter.c                 |  2 +-
 src/backend/lib/dshash.c                      |  2 +-
 src/backend/lib/integerset.c                  |  4 +-
 src/backend/libpq/be-secure-openssl.c         |  4 +-
 src/backend/optimizer/geqo/geqo_selection.c   |  2 +-
 src/backend/optimizer/path/costsize.c         | 72 ++++++++---------
 src/backend/optimizer/plan/createplan.c       |  2 +-
 src/backend/optimizer/plan/planner.c          |  4 +-
 src/backend/optimizer/util/plancat.c          |  3 +-
 src/backend/parser/gram.y                     |  3 +-
 src/backend/parser/parse_clause.c             |  2 +-
 src/backend/parser/parse_utilcmd.c            |  2 +-
 src/backend/partitioning/partbounds.c         |  6 +-
 src/backend/postmaster/postmaster.c           |  6 +-
 src/backend/replication/logical/decode.c      |  4 +-
 src/backend/replication/logical/worker.c      |  2 +-
 src/backend/replication/pgoutput/pgoutput.c   |  4 +-
 src/backend/replication/slot.c                |  2 +-
 src/backend/statistics/extended_stats.c       |  4 +-
 src/backend/storage/buffer/bufmgr.c           |  4 +-
 src/backend/storage/file/buffile.c            |  2 +-
 src/backend/storage/freespace/freespace.c     |  2 +-
 src/backend/storage/ipc/dsm.c                 |  4 +-
 src/backend/storage/ipc/procarray.c           |  2 +-
 src/backend/storage/lmgr/lwlock.c             | 12 +--
 src/backend/storage/lmgr/predicate.c          |  2 +-
 src/backend/storage/smgr/md.c                 | 48 ++++++------
 src/backend/utils/adt/datetime.c              | 22 +++---
 src/backend/utils/adt/geo_ops.c               |  8 +-
 src/backend/utils/adt/like.c                  |  4 +-
 src/backend/utils/adt/numeric.c               |  6 +-
 src/backend/utils/adt/rangetypes.c            |  4 +-
 src/backend/utils/adt/ri_triggers.c           |  2 +-
 src/backend/utils/adt/timestamp.c             |  4 +-
 src/backend/utils/adt/xml.c                   |  2 +-
 src/backend/utils/cache/relmapper.c           |  2 +-
 src/backend/utils/error/elog.c                |  2 +-
 .../euc_jp_and_sjis/euc_jp_and_sjis.c         |  4 +-
 .../euc_tw_and_big5/euc_tw_and_big5.c         |  2 +-
 src/backend/utils/misc/guc.c                  |  2 +-
 src/backend/utils/misc/queryjumble.c          |  3 +-
 src/backend/utils/sort/tuplesortvariants.c    |  2 +-
 src/backend/utils/time/snapmgr.c              | 29 +++----
 src/fe_utils/cancel.c                         |  4 +-
 src/bin/initdb/initdb.c                       |  2 +-
 src/bin/pg_amcheck/pg_amcheck.c               |  2 +-
 src/bin/pg_basebackup/pg_receivewal.c         |  2 +-
 src/bin/pg_basebackup/streamutil.h            |  2 +-
 src/bin/pg_basebackup/walmethods.h            |  8 +-
 src/bin/pg_rewind/file_ops.h                  |  4 +-
 src/bin/pg_rewind/pg_rewind.h                 |  2 +-
 src/bin/pg_upgrade/info.c                     |  2 +-
 src/bin/pg_upgrade/pg_upgrade.h               |  2 +-
 src/bin/pg_upgrade/relfilenumber.c            |  2 +-
 src/bin/pg_verifybackup/pg_verifybackup.c     |  2 +-
 src/bin/pg_waldump/compat.c                   |  6 +-
 src/bin/pgbench/pgbench.h                     |  8 +-
 src/bin/psql/describe.h                       |  6 +-
 src/bin/scripts/common.h                      |  2 +-
 src/interfaces/libpq/fe-connect.c             |  2 +-
 src/interfaces/libpq/fe-exec.c                | 14 ++--
 src/interfaces/libpq/fe-secure-common.h       |  4 +-
 src/interfaces/libpq/fe-secure-openssl.c      |  4 +-
 src/interfaces/libpq/libpq-fe.h               |  4 +-
 src/pl/plpgsql/src/pl_exec.c                  |  2 +-
 src/interfaces/ecpg/ecpglib/ecpglib_extern.h  | 78 ++++++++++++-------
 src/interfaces/ecpg/pgtypeslib/dt.h           | 22 +++---
 src/interfaces/ecpg/preproc/c_keywords.c      |  8 +-
 src/interfaces/ecpg/preproc/output.c          |  2 +-
 src/interfaces/ecpg/preproc/preproc_extern.h  |  4 +-
 src/interfaces/ecpg/preproc/type.c            |  2 +-
 213 files changed, 569 insertions(+), 542 deletions(-)

diff --git a/src/include/access/genam.h b/src/include/access/genam.h
index 134b20f1e..e1c4fdbd0 100644
--- a/src/include/access/genam.h
+++ b/src/include/access/genam.h
@@ -161,9 +161,10 @@ extern void index_rescan(IndexScanDesc scan,
 extern void index_endscan(IndexScanDesc scan);
 extern void index_markpos(IndexScanDesc scan);
 extern void index_restrpos(IndexScanDesc scan);
-extern Size index_parallelscan_estimate(Relation indexrel, Snapshot snapshot);
-extern void index_parallelscan_initialize(Relation heaprel, Relation indexrel,
-										  Snapshot snapshot, ParallelIndexScanDesc target);
+extern Size index_parallelscan_estimate(Relation indexRelation, Snapshot snapshot);
+extern void index_parallelscan_initialize(Relation heapRelation,
+										  Relation indexRelation, Snapshot snapshot,
+										  ParallelIndexScanDesc target);
 extern void index_parallelrescan(IndexScanDesc scan);
 extern IndexScanDesc index_beginscan_parallel(Relation heaprel,
 											  Relation indexrel, int nkeys, int norderbys,
@@ -191,7 +192,7 @@ extern void index_store_float8_orderby_distances(IndexScanDesc scan,
 												 Oid *orderByTypes,
 												 IndexOrderByDistance *distances,
 												 bool recheckOrderBy);
-extern bytea *index_opclass_options(Relation relation, AttrNumber attnum,
+extern bytea *index_opclass_options(Relation indrel, AttrNumber attnum,
 									Datum attoptions, bool validate);
 
 
diff --git a/src/include/access/generic_xlog.h b/src/include/access/generic_xlog.h
index c8363a476..da4565642 100644
--- a/src/include/access/generic_xlog.h
+++ b/src/include/access/generic_xlog.h
@@ -40,6 +40,6 @@ extern void GenericXLogAbort(GenericXLogState *state);
 extern void generic_redo(XLogReaderState *record);
 extern const char *generic_identify(uint8 info);
 extern void generic_desc(StringInfo buf, XLogReaderState *record);
-extern void generic_mask(char *pagedata, BlockNumber blkno);
+extern void generic_mask(char *page, BlockNumber blkno);
 
 #endif							/* GENERIC_XLOG_H */
diff --git a/src/include/access/gin_private.h b/src/include/access/gin_private.h
index 2935d2f35..09ac53ed0 100644
--- a/src/include/access/gin_private.h
+++ b/src/include/access/gin_private.h
@@ -240,7 +240,7 @@ extern void ginDataFillRoot(GinBtree btree, Page root, BlockNumber lblkno, Page
  */
 typedef struct GinVacuumState GinVacuumState;
 
-extern void ginVacuumPostingTreeLeaf(Relation rel, Buffer buf, GinVacuumState *gvs);
+extern void ginVacuumPostingTreeLeaf(Relation indexrel, Buffer buffer, GinVacuumState *gvs);
 
 /* ginscan.c */
 
@@ -385,7 +385,7 @@ typedef GinScanOpaqueData *GinScanOpaque;
 
 extern IndexScanDesc ginbeginscan(Relation rel, int nkeys, int norderbys);
 extern void ginendscan(IndexScanDesc scan);
-extern void ginrescan(IndexScanDesc scan, ScanKey key, int nscankeys,
+extern void ginrescan(IndexScanDesc scan, ScanKey scankey, int nscankeys,
 					  ScanKey orderbys, int norderbys);
 extern void ginNewScanKey(IndexScanDesc scan);
 extern void ginFreeScanKeys(GinScanOpaque so);
@@ -469,10 +469,10 @@ extern void ginInsertCleanup(GinState *ginstate, bool full_clean,
 
 extern GinPostingList *ginCompressPostingList(const ItemPointer ipd, int nipd,
 											  int maxsize, int *nwritten);
-extern int	ginPostingListDecodeAllSegmentsToTbm(GinPostingList *ptr, int totalsize, TIDBitmap *tbm);
+extern int	ginPostingListDecodeAllSegmentsToTbm(GinPostingList *ptr, int len, TIDBitmap *tbm);
 
-extern ItemPointer ginPostingListDecodeAllSegments(GinPostingList *ptr, int len, int *ndecoded);
-extern ItemPointer ginPostingListDecode(GinPostingList *ptr, int *ndecoded);
+extern ItemPointer ginPostingListDecodeAllSegments(GinPostingList *segment, int len, int *ndecoded_out);
+extern ItemPointer ginPostingListDecode(GinPostingList *plist, int *ndecoded);
 extern ItemPointer ginMergeItemPointers(ItemPointerData *a, uint32 na,
 										ItemPointerData *b, uint32 nb,
 										int *nmerged);
diff --git a/src/include/access/gist_private.h b/src/include/access/gist_private.h
index 240131ef7..093bf2344 100644
--- a/src/include/access/gist_private.h
+++ b/src/include/access/gist_private.h
@@ -445,16 +445,16 @@ extern void gistXLogPageReuse(Relation rel, BlockNumber blkno,
 
 extern XLogRecPtr gistXLogUpdate(Buffer buffer,
 								 OffsetNumber *todelete, int ntodelete,
-								 IndexTuple *itup, int ntup,
-								 Buffer leftchild);
+								 IndexTuple *itup, int ituplen,
+								 Buffer leftchildbuf);
 
 extern XLogRecPtr gistXLogDelete(Buffer buffer, OffsetNumber *todelete,
 								 int ntodelete, TransactionId latestRemovedXid);
 
 extern XLogRecPtr gistXLogSplit(bool page_is_leaf,
 								SplitedPageLayout *dist,
-								BlockNumber origrlink, GistNSN oldnsn,
-								Buffer leftchild, bool markfollowright);
+								BlockNumber origrlink, GistNSN orignsn,
+								Buffer leftchildbuf, bool markfollowright);
 
 extern XLogRecPtr gistXLogAssignLSN(void);
 
@@ -516,8 +516,8 @@ extern void gistdentryinit(GISTSTATE *giststate, int nkey, GISTENTRY *e,
 						   bool l, bool isNull);
 
 extern float gistpenalty(GISTSTATE *giststate, int attno,
-						 GISTENTRY *key1, bool isNull1,
-						 GISTENTRY *key2, bool isNull2);
+						 GISTENTRY *orig, bool isNullOrig,
+						 GISTENTRY *add, bool isNullAdd);
 extern void gistMakeUnionItVec(GISTSTATE *giststate, IndexTuple *itvec, int len,
 							   Datum *attr, bool *isnull);
 extern bool gistKeyIsEQ(GISTSTATE *giststate, int attno, Datum a, Datum b);
@@ -556,11 +556,11 @@ extern GISTBuildBuffers *gistInitBuildBuffers(int pagesPerBuffer, int levelStep,
 											  int maxLevel);
 extern GISTNodeBuffer *gistGetNodeBuffer(GISTBuildBuffers *gfbb,
 										 GISTSTATE *giststate,
-										 BlockNumber blkno, int level);
+										 BlockNumber nodeBlocknum, int level);
 extern void gistPushItupToNodeBuffer(GISTBuildBuffers *gfbb,
-									 GISTNodeBuffer *nodeBuffer, IndexTuple item);
+									 GISTNodeBuffer *nodeBuffer, IndexTuple itup);
 extern bool gistPopItupFromNodeBuffer(GISTBuildBuffers *gfbb,
-									  GISTNodeBuffer *nodeBuffer, IndexTuple *item);
+									  GISTNodeBuffer *nodeBuffer, IndexTuple *itup);
 extern void gistFreeBuildBuffers(GISTBuildBuffers *gfbb);
 extern void gistRelocateBuildBuffersOnSplit(GISTBuildBuffers *gfbb,
 											GISTSTATE *giststate, Relation r,
diff --git a/src/include/access/reloptions.h b/src/include/access/reloptions.h
index f74051330..21bde78ed 100644
--- a/src/include/access/reloptions.h
+++ b/src/include/access/reloptions.h
@@ -195,16 +195,16 @@ extern void add_string_reloption(bits32 kinds, const char *name, const char *des
 								 const char *default_val, validate_string_relopt validator,
 								 LOCKMODE lockmode);
 
-extern void init_local_reloptions(local_relopts *opts, Size relopt_struct_size);
-extern void register_reloptions_validator(local_relopts *opts,
+extern void init_local_reloptions(local_relopts *relopts, Size relopt_struct_size);
+extern void register_reloptions_validator(local_relopts *relopts,
 										  relopts_validator validator);
-extern void add_local_bool_reloption(local_relopts *opts, const char *name,
+extern void add_local_bool_reloption(local_relopts *relopts, const char *name,
 									 const char *desc, bool default_val,
 									 int offset);
-extern void add_local_int_reloption(local_relopts *opts, const char *name,
+extern void add_local_int_reloption(local_relopts *relopts, const char *name,
 									const char *desc, int default_val,
 									int min_val, int max_val, int offset);
-extern void add_local_real_reloption(local_relopts *opts, const char *name,
+extern void add_local_real_reloption(local_relopts *relopts, const char *name,
 									 const char *desc, double default_val,
 									 double min_val, double max_val,
 									 int offset);
@@ -213,7 +213,7 @@ extern void add_local_enum_reloption(local_relopts *relopts,
 									 relopt_enum_elt_def *members,
 									 int default_val, const char *detailmsg,
 									 int offset);
-extern void add_local_string_reloption(local_relopts *opts, const char *name,
+extern void add_local_string_reloption(local_relopts *relopts, const char *name,
 									   const char *desc,
 									   const char *default_val,
 									   validate_string_relopt validator,
diff --git a/src/include/access/tupconvert.h b/src/include/access/tupconvert.h
index f5a5fd826..a37dafc66 100644
--- a/src/include/access/tupconvert.h
+++ b/src/include/access/tupconvert.h
@@ -44,7 +44,7 @@ extern HeapTuple execute_attr_map_tuple(HeapTuple tuple, TupleConversionMap *map
 extern TupleTableSlot *execute_attr_map_slot(AttrMap *attrMap,
 											 TupleTableSlot *in_slot,
 											 TupleTableSlot *out_slot);
-extern Bitmapset *execute_attr_map_cols(AttrMap *attrMap, Bitmapset *inbitmap);
+extern Bitmapset *execute_attr_map_cols(AttrMap *attrMap, Bitmapset *in_cols);
 
 extern void free_conversion_map(TupleConversionMap *map);
 
diff --git a/src/include/access/tupdesc.h b/src/include/access/tupdesc.h
index 28dd6de18..cf27356ba 100644
--- a/src/include/access/tupdesc.h
+++ b/src/include/access/tupdesc.h
@@ -127,7 +127,7 @@ extern void DecrTupleDescRefCount(TupleDesc tupdesc);
 
 extern bool equalTupleDescs(TupleDesc tupdesc1, TupleDesc tupdesc2);
 
-extern uint32 hashTupleDesc(TupleDesc tupdesc);
+extern uint32 hashTupleDesc(TupleDesc desc);
 
 extern void TupleDescInitEntry(TupleDesc desc,
 							   AttrNumber attributeNumber,
diff --git a/src/include/access/twophase.h b/src/include/access/twophase.h
index 5d6544e26..f94fded10 100644
--- a/src/include/access/twophase.h
+++ b/src/include/access/twophase.h
@@ -60,6 +60,6 @@ extern void PrepareRedoAdd(char *buf, XLogRecPtr start_lsn,
 						   XLogRecPtr end_lsn, RepOriginId origin_id);
 extern void PrepareRedoRemove(TransactionId xid, bool giveWarning);
 extern void restoreTwoPhaseData(void);
-extern bool LookupGXact(const char *gid, XLogRecPtr prepare_at_lsn,
+extern bool LookupGXact(const char *gid, XLogRecPtr prepare_end_lsn,
 						TimestampTz origin_prepare_timestamp);
 #endif							/* TWOPHASE_H */
diff --git a/src/include/access/xact.h b/src/include/access/xact.h
index 300baae12..c604ee11f 100644
--- a/src/include/access/xact.h
+++ b/src/include/access/xact.h
@@ -490,8 +490,8 @@ extern int	xactGetCommittedChildren(TransactionId **ptr);
 extern XLogRecPtr XactLogCommitRecord(TimestampTz commit_time,
 									  int nsubxacts, TransactionId *subxacts,
 									  int nrels, RelFileLocator *rels,
-									  int nstats,
-									  xl_xact_stats_item *stats,
+									  int ndroppedstats,
+									  xl_xact_stats_item *droppedstats,
 									  int nmsgs, SharedInvalidationMessage *msgs,
 									  bool relcacheInval,
 									  int xactflags,
@@ -501,8 +501,8 @@ extern XLogRecPtr XactLogCommitRecord(TimestampTz commit_time,
 extern XLogRecPtr XactLogAbortRecord(TimestampTz abort_time,
 									 int nsubxacts, TransactionId *subxacts,
 									 int nrels, RelFileLocator *rels,
-									 int nstats,
-									 xl_xact_stats_item *stats,
+									 int ndroppedstats,
+									 xl_xact_stats_item *droppedstats,
 									 int xactflags, TransactionId twophase_xid,
 									 const char *twophase_gid);
 extern void xact_redo(XLogReaderState *record);
diff --git a/src/include/access/xlog.h b/src/include/access/xlog.h
index 9ebd321ba..3dbfa6b59 100644
--- a/src/include/access/xlog.h
+++ b/src/include/access/xlog.h
@@ -197,15 +197,15 @@ extern XLogRecPtr XLogInsertRecord(struct XLogRecData *rdata,
 								   uint8 flags,
 								   int num_fpi,
 								   bool topxid_included);
-extern void XLogFlush(XLogRecPtr RecPtr);
+extern void XLogFlush(XLogRecPtr record);
 extern bool XLogBackgroundFlush(void);
-extern bool XLogNeedsFlush(XLogRecPtr RecPtr);
-extern int	XLogFileInit(XLogSegNo segno, TimeLineID tli);
+extern bool XLogNeedsFlush(XLogRecPtr record);
+extern int	XLogFileInit(XLogSegNo logsegno, TimeLineID logtli);
 extern int	XLogFileOpen(XLogSegNo segno, TimeLineID tli);
 
 extern void CheckXLogRemoved(XLogSegNo segno, TimeLineID tli);
 extern XLogSegNo XLogGetLastRemovedSegno(void);
-extern void XLogSetAsyncXactLSN(XLogRecPtr record);
+extern void XLogSetAsyncXactLSN(XLogRecPtr asyncXactLSN);
 extern void XLogSetReplicationSlotMinimumLSN(XLogRecPtr lsn);
 
 extern void xlog_redo(XLogReaderState *record);
diff --git a/src/include/access/xloginsert.h b/src/include/access/xloginsert.h
index aed4643d1..001ff2f52 100644
--- a/src/include/access/xloginsert.h
+++ b/src/include/access/xloginsert.h
@@ -52,12 +52,12 @@ extern void XLogRegisterBufData(uint8 block_id, char *data, uint32 len);
 extern void XLogResetInsertion(void);
 extern bool XLogCheckBufferNeedsBackup(Buffer buffer);
 
-extern XLogRecPtr log_newpage(RelFileLocator *rlocator, ForkNumber forkNum,
-							  BlockNumber blk, char *page, bool page_std);
-extern void log_newpages(RelFileLocator *rlocator, ForkNumber forkNum, int num_pages,
+extern XLogRecPtr log_newpage(RelFileLocator *rlocator, ForkNumber forknum,
+							  BlockNumber blkno, char *page, bool page_std);
+extern void log_newpages(RelFileLocator *rlocator, ForkNumber forknum, int num_pages,
 						 BlockNumber *blknos, char **pages, bool page_std);
 extern XLogRecPtr log_newpage_buffer(Buffer buffer, bool page_std);
-extern void log_newpage_range(Relation rel, ForkNumber forkNum,
+extern void log_newpage_range(Relation rel, ForkNumber forknum,
 							  BlockNumber startblk, BlockNumber endblk, bool page_std);
 extern XLogRecPtr XLogSaveBufferForHint(Buffer buffer, bool buffer_std);
 
diff --git a/src/include/access/xlogreader.h b/src/include/access/xlogreader.h
index 6afec33d4..6dcde2523 100644
--- a/src/include/access/xlogreader.h
+++ b/src/include/access/xlogreader.h
@@ -400,7 +400,7 @@ extern bool DecodeXLogRecord(XLogReaderState *state,
 							 DecodedXLogRecord *decoded,
 							 XLogRecord *record,
 							 XLogRecPtr lsn,
-							 char **errmsg);
+							 char **errormsg);
 
 /*
  * Macros that provide access to parts of the record most recently returned by
diff --git a/src/include/access/xlogrecovery.h b/src/include/access/xlogrecovery.h
index 0aa85d90e..0e3e246bd 100644
--- a/src/include/access/xlogrecovery.h
+++ b/src/include/access/xlogrecovery.h
@@ -80,7 +80,9 @@ extern PGDLLIMPORT bool StandbyMode;
 extern Size XLogRecoveryShmemSize(void);
 extern void XLogRecoveryShmemInit(void);
 
-extern void InitWalRecovery(ControlFileData *ControlFile, bool *wasShutdownPtr, bool *haveBackupLabel, bool *haveTblspcMap);
+extern void InitWalRecovery(ControlFileData *ControlFile,
+							bool *wasShutdown_ptr, bool *haveBackupLabel_ptr,
+							bool *haveTblspcMap_ptr);
 extern void PerformWalRecovery(void);
 
 /*
diff --git a/src/include/access/xlogutils.h b/src/include/access/xlogutils.h
index ef182977b..18dc5f99a 100644
--- a/src/include/access/xlogutils.h
+++ b/src/include/access/xlogutils.h
@@ -82,10 +82,10 @@ typedef struct ReadLocalXLogPageNoWaitPrivate
 } ReadLocalXLogPageNoWaitPrivate;
 
 extern XLogRedoAction XLogReadBufferForRedo(XLogReaderState *record,
-											uint8 buffer_id, Buffer *buf);
+											uint8 block_id, Buffer *buf);
 extern Buffer XLogInitBufferForRedo(XLogReaderState *record, uint8 block_id);
 extern XLogRedoAction XLogReadBufferForRedoExtended(XLogReaderState *record,
-													uint8 buffer_id,
+													uint8 block_id,
 													ReadBufferMode mode, bool get_cleanup_lock,
 													Buffer *buf);
 
diff --git a/src/include/bootstrap/bootstrap.h b/src/include/bootstrap/bootstrap.h
index 49d4ad560..89f5b01b3 100644
--- a/src/include/bootstrap/bootstrap.h
+++ b/src/include/bootstrap/bootstrap.h
@@ -34,8 +34,8 @@ extern PGDLLIMPORT int numattr;
 
 extern void BootstrapModeMain(int argc, char *argv[], bool check_only) pg_attribute_noreturn();
 
-extern void closerel(char *name);
-extern void boot_openrel(char *name);
+extern void closerel(char *relname);
+extern void boot_openrel(char *relname);
 
 extern void DefineAttr(char *name, char *type, int attnum, int nullness);
 extern void InsertOneTuple(void);
diff --git a/src/include/catalog/dependency.h b/src/include/catalog/dependency.h
index 729c4c46c..98a1a8428 100644
--- a/src/include/catalog/dependency.h
+++ b/src/include/catalog/dependency.h
@@ -249,7 +249,7 @@ extern void recordDependencyOnTablespace(Oid classId, Oid objectId,
 extern void changeDependencyOnTablespace(Oid classId, Oid objectId,
 										 Oid newTablespaceId);
 
-extern void updateAclDependencies(Oid classId, Oid objectId, int32 objectSubId,
+extern void updateAclDependencies(Oid classId, Oid objectId, int32 objsubId,
 								  Oid ownerId,
 								  int noldmembers, Oid *oldmembers,
 								  int nnewmembers, Oid *newmembers);
@@ -263,8 +263,8 @@ extern void copyTemplateDependencies(Oid templateDbId, Oid newDbId);
 
 extern void dropDatabaseDependencies(Oid databaseId);
 
-extern void shdepDropOwned(List *relids, DropBehavior behavior);
+extern void shdepDropOwned(List *roleids, DropBehavior behavior);
 
-extern void shdepReassignOwned(List *relids, Oid newrole);
+extern void shdepReassignOwned(List *roleids, Oid newrole);
 
 #endif							/* DEPENDENCY_H */
diff --git a/src/include/catalog/index.h b/src/include/catalog/index.h
index 1bdb00a52..91c28868d 100644
--- a/src/include/catalog/index.h
+++ b/src/include/catalog/index.h
@@ -149,7 +149,7 @@ extern void index_set_state_flags(Oid indexId, IndexStateFlagsAction action);
 extern Oid	IndexGetRelation(Oid indexId, bool missing_ok);
 
 extern void reindex_index(Oid indexId, bool skip_constraint_checks,
-						  char relpersistence, ReindexParams *params);
+						  char persistence, ReindexParams *params);
 
 /* Flag bits for reindex_relation(): */
 #define REINDEX_REL_PROCESS_TOAST			0x01
@@ -168,7 +168,7 @@ extern Size EstimateReindexStateSpace(void);
 extern void SerializeReindexState(Size maxsize, char *start_address);
 extern void RestoreReindexState(void *reindexstate);
 
-extern void IndexSetParentIndex(Relation idx, Oid parentOid);
+extern void IndexSetParentIndex(Relation partitionIdx, Oid parentOid);
 
 
 /*
diff --git a/src/include/catalog/namespace.h b/src/include/catalog/namespace.h
index 1bc55c01a..2a2a2e648 100644
--- a/src/include/catalog/namespace.h
+++ b/src/include/catalog/namespace.h
@@ -85,7 +85,7 @@ extern Oid	RangeVarGetRelidExtended(const RangeVar *relation,
 									 RangeVarGetRelidCallback callback,
 									 void *callback_arg);
 extern Oid	RangeVarGetCreationNamespace(const RangeVar *newRelation);
-extern Oid	RangeVarGetAndCheckCreationNamespace(RangeVar *newRelation,
+extern Oid	RangeVarGetAndCheckCreationNamespace(RangeVar *relation,
 												 LOCKMODE lockmode,
 												 Oid *existing_relation_id);
 extern void RangeVarAdjustRelationPersistence(RangeVar *newRelation, Oid nspid);
